Welcome, Guest

Author Topic: Error while running apt-get update and apt-get upgrade A10-OLinuXino-LIME  (Read 75 times)

ellissarpav

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
Hey.
I use the image of A10-OLinuXino-LIME Debian with kernel 3.4.90+ release 4, but when updating I get a lot of errors:
Code: [Select]
root@a10Lime:~# apt-get update
Ign http://ftp.debian.org wheezy Release.gpg
Ign http://ftp.debian.org wheezy-updates Release.gpg
Ign http://ftp.debian.org wheezy Release                 
Ign http://ftp.debian.org wheezy-updates Release         
Ign http://ftp.debian.org wheezy/main Sources/DiffIndex
Ign http://ftp.debian.org wheezy/contrib Sources/DiffIndex     
Ign http://ftp.debian.org wheezy/non-free Sources/DiffIndex                   
Ign http://security.debian.org wheezy/updates Release.gpg                     
Ign http://ftp.debian.org wheezy/main armhf Packages/DiffIndex
Ign http://security.debian.org wheezy/updates Release
Ign http://ftp.debian.org wheezy/contrib armhf Packages/DiffIndex
Ign http://ftp.debian.org wheezy/non-free armhf Packages/DiffIndex
Ign http://security.debian.org wheezy/updates/main Sources/DiffIndex
Ign http://security.debian.org wheezy/updates/contrib Sources/DiffIndex
Ign http://security.debian.org wheezy/updates/non-free Sources/DiffIndex
Ign http://security.debian.org wheezy/updates/main armhf Packages/DiffIndex
Ign http://security.debian.org wheezy/updates/contrib armhf Packages/DiffIndex
Ign http://security.debian.org wheezy/updates/non-free armhf Packages/DiffIndex
Ign http://ftp.debian.org wheezy-updates/main Sources/DiffIndex
Ign http://ftp.debian.org wheezy-updates/contrib Sources/DiffIndex   
Ign http://ftp.debian.org wheezy-updates/non-free Sources/DiffIndex 
Ign http://ftp.debian.org wheezy-updates/main armhf Packages/DiffIndex
Ign http://ftp.debian.org wheezy-updates/contrib armhf Packages/DiffIndex
Ign http://ftp.debian.org wheezy-updates/non-free armhf Packages/DiffIndex
Ign http://security.debian.org wheezy/updates/contrib Translation-en_US
Ign http://security.debian.org wheezy/updates/contrib Translation-en
Ign http://security.debian.org wheezy/updates/main Translation-en_US
Ign http://security.debian.org wheezy/updates/main Translation-en
Ign http://security.debian.org wheezy/updates/non-free Translation-en_US
Ign http://security.debian.org wheezy/updates/non-free Translation-en
Err http://security.debian.org wheezy/updates/main Sources
  404  Not Found
Err http://security.debian.org wheezy/updates/contrib Sources
  404  Not Found
Err http://security.debian.org wheezy/updates/non-free Sources
  404  Not Found
Err http://security.debian.org wheezy/updates/main armhf Packages
  404  Not Found
Err http://security.debian.org wheezy/updates/contrib armhf Packages
  404  Not Found
Err http://security.debian.org wheezy/updates/non-free armhf Packages
  404  Not Found
Ign http://ftp.debian.org wheezy/contrib Translation-en_US
Ign http://ftp.debian.org wheezy/contrib Translation-en
Ign http://ftp.debian.org wheezy/main Translation-en_US
Ign http://ftp.debian.org wheezy/main Translation-en
Ign http://ftp.debian.org wheezy/non-free Translation-en_US
Ign http://ftp.debian.org wheezy/non-free Translation-en
Ign http://ftp.debian.org wheezy-updates/contrib Translation-en_US
Ign http://ftp.debian.org wheezy-updates/contrib Translation-en
Ign http://ftp.debian.org wheezy-updates/main Translation-en_US
Ign http://ftp.debian.org wheezy-updates/main Translation-en
Ign http://ftp.debian.org wheezy-updates/non-free Translation-en_US
Ign http://ftp.debian.org wheezy-updates/non-free Translation-en
Err http://ftp.debian.org wheezy/main Sources
  404  Not Found
Err http://ftp.debian.org wheezy/contrib Sources
  404  Not Found
Err http://ftp.debian.org wheezy/non-free Sources
  404  Not Found
Err http://ftp.debian.org wheezy/main armhf Packages
  404  Not Found
Err http://ftp.debian.org wheezy/contrib armhf Packages
  404  Not Found
Err http://ftp.debian.org wheezy/non-free armhf Packages
  404  Not Found
Err http://ftp.debian.org wheezy-updates/main Sources
  404  Not Found
Err http://ftp.debian.org wheezy-updates/contrib Sources
  404  Not Found
Err http://ftp.debian.org wheezy-updates/non-free Sources
  404  Not Found
Err http://ftp.debian.org wheezy-updates/main armhf Packages
  404  Not Found
Err http://ftp.debian.org wheezy-updates/contrib armhf Packages
  404  Not Found
Err http://ftp.debian.org wheezy-updates/non-free armhf Packages
  404  Not Found
W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy/main/source/Sources  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy/contrib/source/Sources  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy/non-free/source/Sources  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy/main/binary-armhf/Packages  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy/contrib/binary-armhf/Packages  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy/non-free/binary-armhf/Packages  404  Not Found

W: Failed to fetch http://security.debian.org/dists/wheezy/updates/main/source/Sources  404  Not Found

W: Failed to fetch http://security.debian.org/dists/wheezy/updates/contrib/source/Sources  404  Not Found

W: Failed to fetch http://security.debian.org/dists/wheezy/updates/non-free/source/Sources  404  Not Found

W: Failed to fetch http://security.debian.org/dists/wheezy/updates/main/binary-armhf/Packages  404  Not Found

W: Failed to fetch http://security.debian.org/dists/wheezy/updates/contrib/binary-armhf/Packages  404  Not Found

W: Failed to fetch http://security.debian.org/dists/wheezy/updates/non-free/binary-armhf/Packages  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy-updates/main/source/Sources  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy-updates/contrib/source/Sources  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy-updates/non-free/source/Sources  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy-updates/main/binary-armhf/Packages  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy-updates/contrib/binary-armhf/Packages  404  Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy-updates/non-free/binary-armhf/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

After that I tried to upgrade and again got a lot of errors:
Code: [Select]
root@a10Lime:~# apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be upgraded:
  apt apt-utils base-files bash binutils browser-plugin-gnash ca-certificates
  cpio dbus dbus-x11 debian-archive-keyring dmsetup dpkg dpkg-dev e2fslibs
  e2fsprogs file fontconfig fontconfig-config fuse git git-man gnash
  gnash-common gnupg gpgv ifupdown initscripts isc-dhcp-client isc-dhcp-common
  kmod libapt-inst1.5 libapt-pkg4.12 libarchive12 libass4 libaudio2
  libavcodec53 libavformat53 libavutil51 libbluetooth3 libc-bin libc-dev-bin
  libc6 libc6-dev libcairo-gobject2 libcairo2 libcomerr2 libcroco3 libcups2
  libcurl3-gnutls libdb5.1 libdbus-1-3 libdevmapper-event1.02.1
  libdevmapper1.02.1 libdpkg-perl libebml3 libexpat1 libfaad2 libffi5 libflac8
  libfontconfig1 libfreetype6 libfuse2 libgcrypt11 libgd2-xpm
  libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgif4 libgl1-mesa-dri
  libglu1-mesa libgnutls26 libgssapi-krb5-2 libgstreamer-plugins-base0.10-0
  libgstreamer0.10-0 libgtk-3-0 libgtk-3-bin libgtk-3-common libgudev-1.0-0
  libicu48 libidn11 libimlib2 libjasper1 libjbig0 libjpeg8 libk5crypto3
  libkeyutils1 libkmod2 libkrb5-3 libkrb5support0 liblcms1 liblcms2-2
  libldap-2.4-2 liblua5.1-0 liblvm2app2.2 libmad0 libmagic1 libmatroska5
  libmp3lame0 libmpg123-0 libmtp-common libmtp-runtime libmtp9 libnettle4
  libnl-3-200 libnl-genl-3-200 libnl-route-3-200 libobrender27 libobt0
  libopenjpeg2 libpcsclite1 libpixman-1-0 libplist1 libpng12-0 libpng12-dev
  libpng3 libpostproc52 libprocps0 libreadline5 librsvg2-2 librsvg2-common
  librtmp0 libsasl2-2 libsdl-image1.2 libsmbclient libsndfile1
  libsoup-gnome2.4-1 libsoup2.4-1 libsqlite3-0 libss2 libssh2-1 libssl1.0.0
  libswscale2 libsystemd-login0 libtar0 libtasn1-3 libtiff4 libudev0 libupnp6
  libvdpau1 libvlc5 libvlccore5 libvncserver0 libvorbis0a libvorbisenc2
  libvorbisfile3 libvpx1 libwbclient0 libx11-6 libx11-data libx11-dev
  libx11-xcb1 libxapian22 libxcb-glx0 libxcb-render0 libxcb-shape0 libxcb-shm0
  libxcursor1 libxfixes-dev libxfixes3 libxfont1 libxi6 libxml2 libxpm4
  libxrandr2 libxrender1 libxslt1.1 libxtst6 libxv1 linux-libc-dev locales
  login lsb-base lxterminal mime-support minicom mpg123 mplayer2
  multiarch-support ntfs-3g ntp openbox openssh-client openssh-server openssl
  passwd patch perl perl-base perl-modules ppp procps python python-minimal
  python2.7 python2.7-minimal rsyslog sensible-utils ssh sudo synaptic sysv-rc
  sysvinit sysvinit-utils tar tasksel tasksel-data tcl tk tzdata udev udisks
  vim-common vim-tiny vlc vlc-data vlc-nox wget wpasupplicant x11-common xorg
  xscreensaver xscreensaver-data xserver-common xserver-xorg-core
  xserver-xorg-input-all xserver-xorg-video-all
226 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
yNeed to get 125 MB of archives.
After this operation, 10.9 MB disk space will be freed.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
  base-files bash dpkg libc-dev-bin libc6-dev libc-bin libc6 linux-libc-dev
  e2fslibs e2fsprogs login perl perl-base perl-modules libdb5.1 sysvinit tar
  libapt-pkg4.12 gpgv debian-archive-keyring gnupg apt sysvinit-utils
  libcomerr2 libss2 sysv-rc lsb-base initscripts ifupdown libapt-inst1.5
  libgcrypt11 libkmod2 libprocps0 libssl1.0.0 libtasn1-3 procps udev libudev0
  tasksel-data tasksel libgnutls26 libkeyutils1 libk5crypto3 libgssapi-krb5-2
  libkrb5-3 libkrb5support0 libidn11 file libmagic1 libsasl2-2 libnettle4
  libxml2 libarchive12 libaudio2 libavutil51 libmp3lame0 libopenjpeg2
  libvorbisfile3 libvorbisenc2 libvorbis0a libvpx1 libavcodec53 librtmp0
  libavformat53 libbluetooth3 libexpat1 libfreetype6 libfontconfig1
  fontconfig-config libpixman-1-0 libpng12-dev libpng12-0 libx11-data
  libx11-dev libx11-6 libxcb-render0 libxcb-shm0 libxrender1 libcairo2
  libcairo-gobject2 libcroco3 libcups2 libldap-2.4-2 libssh2-1 libcurl3-gnutls
  libdbus-1-3 dmsetup libdevmapper1.02.1 libdevmapper-event1.02.1 libebml3
  libfaad2 libflac8 fuse libfuse2 libjpeg8 libxpm4 libgd2-xpm libgtk-3-bin
  libgtk-3-0 libgtk-3-common libxfixes-dev libxfixes3 libxcursor1 libxi6
  libxrandr2 librsvg2-common libgdk-pixbuf2.0-common libgdk-pixbuf2.0-0
  librsvg2-2 libjasper1 libjbig0 libtiff4 libglu1-mesa libgstreamer0.10-0
  libgstreamer-plugins-base0.10-0 libgudev-1.0-0 libicu48 liblcms1 liblcms2-2
  liblua5.1-0 liblvm2app2.2 libmatroska5 libmpg123-0 libmtp-common
  libmtp-runtime libmtp9 libnl-route-3-200 libnl-genl-3-200 libnl-3-200
  libpcsclite1 libpostproc52 libreadline5 libsdl-image1.2 libwbclient0
  libsmbclient libsndfile1 libsoup2.4-1 libsqlite3-0 libsoup-gnome2.4-1
  libswscale2 libvdpau1 libass4 libmad0 libupnp6 vlc libvlccore5 vlc-data
  vlc-nox libtar0 libxcb-shape0 libvlc5 libvncserver0 libx11-xcb1 libxcb-glx0
  libxslt1.1 libsystemd-login0 dbus dbus-x11 x11-common libxtst6 libxv1
  ntfs-3g ntp libgif4 libimlib2 libobt0 libobrender27 openbox libffi5 passwd
  sensible-utils tzdata multiarch-support apt-utils cpio isc-dhcp-client
  isc-dhcp-common kmod rsyslog vim-tiny vim-common wget locales mime-support
  openssh-server openssh-client patch python2.7 python2.7-minimal python
  python-minimal binutils browser-plugin-gnash gnash gnash-common openssl
  ca-certificates dpkg-dev libdpkg-perl fontconfig git-man git xserver-common
  libxfont1 libgl1-mesa-dri xserver-xorg-core libplist1 libpng3 libxapian22
  minicom mpg123 ppp sudo synaptic tk tcl udisks wpasupplicant lxterminal xorg
  xscreensaver-data xscreensaver xserver-xorg-input-all xserver-xorg-video-all
  mplayer2 ssh
Install these packages without verification [y/N]? y
Err http://ftp.debian.org/debian/ wheezy/main base-files armhf 7.1wheezy11
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main dpkg armhf 1.16.18               
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main bash armhf 4.2+dfsg-0.1+deb7u4
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libc-dev-bin armhf 2.13-38+deb7u12
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main sysvinit armhf 2.88dsf-41+deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libc6-dev armhf 2.13-38+deb7u12
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main libapt-pkg4.12 armhf 0.9.7.9+deb7u7
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libc-bin armhf 2.13-38+deb7u12
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main libdpkg-perl all 1.16.18
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libx11-xcb1 armhf 2:1.5.0-1+deb7u4
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libxslt1.1 armhf 1.1.26-14.1+deb7u3
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main libxapian22 armhf 1.2.12-2+deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libsystemd-login0 armhf 44-11+deb7u5
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libxtst6 armhf 2:1.2.1-1+deb7u2
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main synaptic armhf 0.75.13           
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libxv1 armhf 2:1.0.7-1+deb7u2
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main tk all 8.5.0-2.1                 
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main ntfs-3g armhf 1:2012.1.15AR.5-2.1+deb7u3
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main tcl all 8.5.0-2.1     
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main ntp armhf 1:4.2.6.p5+dfsg-2+deb7u7
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main libffi5 armhf 3.0.10-3+deb7u2
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main xorg armhf 1:7.7+3~deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main passwd armhf 1:4.1.5.1-1+deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main sensible-utils all 0.0.7+deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main tzdata all 2018e-0+deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main multiarch-support armhf 2.13-38+deb7u12
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main xserver-xorg-input-all armhf 1:7.7+3~deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main isc-dhcp-client armhf 4.2.2.dfsg.1-5+deb70u9
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main isc-dhcp-common armhf 4.2.2.dfsg.1-5+deb70u9
  404  Not Found
Err http://ftp.debian.org/debian/ wheezy/main xserver-xorg-video-all armhf 1:7.7+3~deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main vim-tiny armhf 2:7.3.547-7+deb7u4
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main vim-common armhf 2:7.3.547-7+deb7u4
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main wget armhf 1.13.4-3+deb7u6
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main locales all 2.13-38+deb7u12
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main openssh-server armhf 1:6.0p1-4+deb7u7
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main openssh-client armhf 1:6.0p1-4+deb7u7
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main patch armhf 2.6.1-3+deb7u1
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main python2.7 armhf 2.7.3-6+deb7u4
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main python2.7-minimal armhf 2.7.3-6+deb7u4
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main binutils armhf 2.22-8+deb7u3
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main openssl armhf 1.0.1t-1+deb7u4
  404  Not Found
Err http://security.debian.org/ wheezy/updates/main ca-certificates all 20130119+deb7u3
  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/p/perl/perl_5.14.2-21+deb7u6_armhf.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/p/perl/perl-base_5.14.2-21+deb7u6_armhf.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/p/perl/perl-modules_5.14.2-21+deb7u6_all.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/d/db/libdb5.1_5.1.29-5+deb7u1_armhf.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/s/sysvinit/sysvinit_2.88dsf-41+deb7u1_armhf.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/t/tar/tar_1.26+dfsg-0.1+deb7u1_armhf.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/a/apt/libapt-pkg4.12_0.9.7.9+deb7u7_armhf.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/g/gnupg/gpgv_1.4.12-7+deb7u9_armhf.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/d/debian-archive-keyring/debian-archive-keyring_2014.3~deb7u1_all.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.12-7+deb7u9_armhf.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/a/apt/apt_0.9.7.9+deb7u7_armhf.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/s/sysvinit/sysvinit-utils_2.88dsf-41+deb7u1_armhf.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/e/e2fsprogs/libcomerr2_1.42.5-1.1+deb7u1_armhf.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/e/e2fsprogs/libss2_1.42.5-1.1+deb7u1_armhf.deb  404  Not Found
Failed to fetch http://ftp.debian.org/debian/pool/main/s/sysvinit/sysv-rc_2.88dsf-41+deb7u1_all.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/m/mplayer2/mplayer2_2.0-554-gf63dbad-1+deb7u1_armhf.deb  404  Not Found
Failed to fetch http://security.debian.org/pool/updates/main/o/openssh/ssh_6.0p1-4+deb7u7_all.deb  404  Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
I deleted part of the lines due to forum restrictions.
Since I am new to Linux, I cannot deal with this problem myself. I ask for your help.
How do i update the system correctly?

Also, I tried to install Debian using these instruction https://www.debian.org/releases/stable/armhf/index.html, but after installation I could not figure out how to enable i2c, SPI, GPIO, etc.
« Last Edit: June 17, 2019, 05:06:13 PM by ellissarpav »

LubOlimex

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1923
  • Karma: +50/-3
This is expected. Even more with the older 3.4.90+ kernel. There are no Olimex-made aptitude repositories that allow apt-get upgrade. My advice is to avoid using apt-get upgrade since it would break the image you are currently using.

If you need slightly newer kernel maybe try the Armbian one here: https://www.armbian.com/olimex-lime-a10/ consider that some things might not work well in it.

Other than that consider building a mainline image. There is sun4i-a10-olinuxino-lime.dtb, read more here: https://wiki.debian.org/InstallingDebianOn/Allwinner

Technical support and documentation manager at Olimex

ellissarpav

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
I did that. The system boots, everything seems to be working, but I do not see the device:
/dev/i2c-2
/dev/i2c-1
/dev/ttyS1
/dev/ttyS2
/dev/spidev1.0
/dev/spidev2.0